Subject: bug#78152: [guix-daemon] Build user's pw_dir != HOME

From: Rutherther <[email-masked]>
Date: Thu, 01 May 2025 14:05:58 +0200

Hi,

imo the latter approach is better, because the advantage of using
/homeless-shelter is that you can clearly see it in error log if the
package you're building tries to use the HOME. If it was just /, we
would lose the ability to tell why the package chose to access something
under root of the filesystem - is it accessing a hard coded path or
accessing $HOME?